@echo off

CTTY NUL
smartdrv /Q A B C D E F G H I J K L M N O P Q R S T U V W X Y Z
CTTY CON

if "%1" == "/m" goto menu
if "%1" == "/M" goto menu
start I
if errorlevel 1 goto end
goto :loop
:menu
start %1
if errorlevel 1 goto end
:loop
tos
if errorlevel 2 goto end
start
if errorlevel 1 goto end
goto loop
:end
